#!/system/bin/sh
# 请不要硬编码 /magisk/modname/... ; 请使用 $MODDIR/...
# 这将使你的脚本更加兼容，即使Magisk在未来改变了它的挂载点
MODDIR=${0%/*}

# 这个脚本将以 late_start service 模式执行
# 更多信息请访问 Magisk 主题
route=/sys/devices/virtual/thermal/thermal_zone*
thermal=trip_point_*_temp
rt=/sys/devices/virtual/thermal/thermal_zone*/trip_point_*_temp
output=$(find $route -name $thermal)
dev=`cat /sys/devices/soc0/soc_id`
id=${dev:0:2}
if [ $id = "MT" ]; then
    echo * 检测到本机芯片为:联发科
    if [ -n $rt ]; then
    echo "* 检测到SOC温度墙文件"
    echo "* 执行命令:将温度墙修改至145°C"
    echo 145000 > $output
else
    echo "* 未检测到温度墙文件"
fi
    echo 250 > /sys/class/power_supply/battery/temp
    echo 250 > /sys/class/power_supply/bms/temp
    echo 250 > /sys/class/power_supply/bms/cp_slave/temp
    echo 25 > /sys/class/power_supply/bratty/temperature
    echo 250 > /sys/class/thermal/thermal_zone47/temp
    echo 250 > /sys/class/thermal/thermal_zone52/temp
    echo 250 > /sys/class/power_supply/mtk-slv-div-chg/temp
    echo 250 > /sys/class/power_supply/mtk-slave-charger/temp
    echo 22000000 > /sys/class/power_supply/battery/constant_charge_current
    echo "1" > /sys/class/power_supply/bms/cycle_count
    
else
    echo * 检测到本机芯片为:骁龙
    if [ -n $rt ]; then
    echo "* 检测到SOC温度墙文件"
    echo "* 执行命令:将温度墙修改至145°C"
    echo 115000 > $output
else
    echo "* 未检测到温度墙文件"
fi
    echo 250 > /sys/class/power_supply/battery/temp
    echo 250 > /sys/class/power_supply/bms/temp
    echo 250 > /sys/class/power_supply/bms/cp_slave/temp
    echo 25 > /sys/class/power_supply/bratty/temperature
    echo 22000000 > /sys/class/power_supply/battery/constant_charge_current
    echo "1" > /sys/class/power_supply/bms/cycle_count
fi